pcl::io::IOException Class Reference

General IO exception class. More...

`#include <pcl/io/io_exception.h>`

Inheritance diagram for pcl::io::IOException:

## Public Member Functions

| IOException (const std::string &function_name, const std::string &file_name, unsigned line_number, const std::string &message)
virtual | ~IOException () throw ()
IOException & | operator= (const IOException &exception)
virtual const char * | what () const throw ()
const std::string & | getFunctionName () const
const std::string & | getFileName () const
unsigned | getLineNumber () const

## Protected Attributes

std::string | function_name_
std::string | file_name_
unsigned | line_number_
std::string | message_
std::string | message_long_

## Detailed Description

General IO exception class.

Definition at line 63 of file io_exception.h.

## Constructor & Destructor Documentation

pcl::io::IOException::IOException | ( | const std::string & | function_name,
|  | const std::string & | file_name,
|  | unsigned | line_number,
|  | const std::string & | message
| ) |  |

Referenced by pcl::io::throwIOException().

virtual pcl::io::IOException::~IOException | ( |  | ) |
throw | ( |
| ) |  |

virtual

## Member Function Documentation

const std::string& pcl::io::IOException::getFileName | ( |  | ) | const

const std::string& pcl::io::IOException::getFunctionName | ( |  | ) | const

unsigned pcl::io::IOException::getLineNumber | ( |  | ) | const

IOException& pcl::io::IOException::operator= | ( | const IOException & | exception | ) |

virtual const char* pcl::io::IOException::what | ( |  | ) | const
throw | ( |
| ) |  |

virtual

## Member Data Documentation

std::string pcl::io::IOException::file_name_

protected

Definition at line 90 of file io_exception.h.

std::string pcl::io::IOException::function_name_

protected

Definition at line 89 of file io_exception.h.

unsigned pcl::io::IOException::line_number_

protected

Definition at line 91 of file io_exception.h.

std::string pcl::io::IOException::message_

protected

Definition at line 92 of file io_exception.h.

std::string pcl::io::IOException::message_long_

protected

Definition at line 93 of file io_exception.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/io_exception.h